%define prefix %_x11dir
%define rversion	20040319

Name: AfterStep
Version: 2.0
Release: alt1.cvs%rversion.1

Summary: AfterStep Window Manager
License: GPL
Group: Graphical desktop/Other
Url: http://www.afterstep.org/

Source: ftp://ftp.afterstep.org/stable/%name-%version-%rversion.tar.bz2
Source1: AfterStep-altconf.tar.bz2
Source2: %name.menu-method
Source3: %name.xpm
Source4: %name-32.xpm
Source5: %name-64.xpm
Source6: %name.wmsession
Source7: startafterstep

# ALT Linux patch
Patch0: AfterStep-shared.patch
Patch7: AfterStep-tools.patch
Patch8: AfterStep-afterstep-cfg.patch
Patch9: AfterStep-remove-ldconfig.patch

Requires: xli

# Automatically added by buildreq on Wed Sep 03 2003
BuildRequires: XFree86-devel-static XFree86-libs flex freetype2-devel gcc-c++ 
BuildRequires: libOpenSP libjpeg-devel libpng-devel libtiff-devel libungif-devel 
BuildRequires: sgml-tools zlib-devel OpenSP

#AutoReqProv: noperl

%description
AfterStep is a Window Manager for X which started by emulating the
NEXTSTEP look and feel, but which has been significantly altered
according to the requests of various users. Many adepts will tell you
that NEXTSTEP is not only the most visually pleasant interface, but
also one of the most functional and intuitive out there. AfterStep
aims to incorporate the advantages of the NEXTSTEP interface, and add
additional useful features.

WARNING: This version still _UNSTABLE_ to use.

%prep
%setup -n %name-%version-%rversion -q 
#setup -n %name-%version-%rversion -q -a1
%patch0 -p1
#patch7 -p1
%patch8 -p1
%patch9 -p1

%__autoconf -o ./configure autoconf/configure.in
cd libAfterBase
%__autoconf 
cd -
cd libAfterImage
%__autoconf 
cd -

%build
%add_optflags %optflags_shared
CFLAGS="%optflags"; export CFLAGS

%configure \
    --prefix=%_x11dir \
    --bindir=%_x11bindir \
    --libdir=%_x11libdir \
    --mandir=%_x11mandir \
    --datadir=%_x11datadir \
    --with-gif \
    --enable-ascp \
    --enable-staticlibs=no \
    --enable-i18n \
    --with-imageloader="/usr/X11R6/bin/xsetbg" \
    --with-helpcommand="/usr/X11R6/xterm -e man" 

%make_build
%make_build doc

# Add icons
for d in $(find afterstep/start -type d|grep -v CVS); do 
  [ ! -f $d/.include ] || continue
cat << EOF > $d/.include
name ${d##*/} 
minipixmap /usr/X11R6/share/afterstep/desktop/icons/mini-app.xpm
keepname 
EOF
done
%__subst 's|^.*minipixmap .*|minipixmap /usr/X11R6/share/afterstep/desktop/icons/mini-app.xpm|' afterstep/start/.include

%install
%makeinstall DESTDIR=%buildroot

# Move afterstep default menu
%__mv %buildroot%_x11datadir/afterstep/start \
	%buildroot%_x11datadir/afterstep/start-main

%__install -pD -m755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name
%__install -d 644 %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name):needs=wm section="Session/Windowmanagers" icon="%name.xpm" title="AfterStep" command="afterstep"
EOF

# Not needed with Linux-Mandrake menu
rm -fr %buildroot%_x11datadir/afterstep/start/Applications/

%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE4 %buildroot%_iconsdir/%name.xpm
%__install -p -m644 %SOURCE5 %buildroot%_iconsdir/
%__install -pD -m644 %SOURCE6 %buildroot%_sysconfdir/X11/wmsession.d/06AfterStep
%__install -p -m755 %SOURCE7 %buildroot%_x11bindir/

rm -f %buildroot%_x11bindir/MonitorWharf
ln -s %_x11bindir/Wharf %buildroot%_x11bindir/MonitorWharf

%post
%update_menus
%update_wms
%post_ldconfig

%postun
%clean_menus
%clean_wms
#rm -rf %_x11datadir/afterstep
#rm -rf %_datadir/afterstep
%postun_ldconfig

%files
%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*
%_x11bindir/*
%_x11libdir/*
%_x11mandir/man?/*
%dir %_x11datadir/afterstep
%dir %_includedir/libAfterConf
%dir %_includedir/libAfterStep
%_x11datadir/afterstep
%_includedir/libAfterConf
%_includedir/libAfterStep
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc ChangeLog NEW README* TEAM UPGRADE doc/code doc/languages doc/licences TODO

%changelog
* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0-alt1.cvs20040319.1
- Rebuilt with libtiff.so.4.

* Mon Mar 22 2004 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20040319
- new cvs scapshot;
- spec fix;

* Thu Mar 04 2004 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20040304
- new cvs snapshot;

* Mon Jan 19 2004 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20040119
- new cvs snapshot.
- menu fix.

* Mon Dec 15 2003 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20031211
- new cvs snapshot
- i18n support added.

* Fri Nov 21 2003 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20031121
- new cvs snapshot

* Thu Nov 13 2003 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20031113
- new cvs snapshot
- TEXTREL problem fixed.

* Wed Oct 08 2003 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20031017
- new cvs snapshot.
- default system background added.
- default look changed.
- menu method fix (again).

* Wed Sep 03 2003 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.cvs20030830
- cvs snapshot 
- menu-method changed

* Sat Jan 11 2003 Alexey Gladkov <legion@altlinux.ru> 1.8.11-alt1
- 1.8.11

* Wed Jan 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.8.8-ipl5mdk
- Updated wmsession.d and startup scripts.
- Minor specfile cleanup.

* Thu Oct 11 2001 AEN <aen@logic.ru> 1.8.8-ipl4mdk
- Rebuilt with libpng.so.3

* Mon Jan 08 2001 AEN <aen@logic.ru>
- clean up spec
- 1.8.8
* Tue Dec 05 2000 AEN <aen@logic.ru>
- fonts patch
- build for RE

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.4-1mdk
- 1.8.4 patch 2
- Build with glibc-2.2 & gcc-2.96

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.0.3-6mdk
- add icons for menu.
- macrozifications

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.0.3-5mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.0.3-4mdk
- automatically added BuildRequires

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-3mdk
- Build with right options

* Sat Jul 08 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-2mdk
- Add serial to force update

* Sat Jul 08 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.3-1mdk
- 1.8.0 patch 3

* Wed Jul 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.0.2-1mdk
- 1.8.0 patch 2 (sasha+contrib)
- Fix version number

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.8.1-6mdk
- Add fndSession call.

* Mon Apr 10 2000 Dindinx <odin@mandrakesoft.com> 1.8.1-5mdk
- Add menu key support

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8.1-4mdk
- Make default background viewver xsetbg (no more xli).
- Add menus.
- Remove %pre (handle by %config).

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.8.1-3mdk
- Fix group, specs updates, removing .so files, etc.

* Tue Mar 14 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.1-2mdk
- Update Group

* Tue Feb 29 2000 David BAUDENS <baudens@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1
- Merge with official AfterStep spec

* Thu Jan 06 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 1.7.142-5mdk: Requires mandrake_desk >= 1.0.1-11

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove afsdrake for 7.0
- Back to old config files
- Change default background for old config files

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Change default background
- Disable afsdrake by default

* Tue Dec 21 1999 - David BAUDENS <baudens@mandkrasoft.com>
- Add afsdrake

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 1.7.142

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake customisations (background, menus, icons).

* Fri Jun 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.7.111

* Thu Jun 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.7.90
- Mandrake adaptions

* Mon Feb  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.10-1]
- Upgraded to 1.6.10

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.6-3]
- Added a pre-install script to check to see if a previous versions
  share directory exists... If one does, it will copy it to afterstep_old.

* Thu Dec 31 1998 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.6-2]

- Configuring with no special settings and installing into
  default dirs as per David Mihm <davemann@ionet.net>

* Wed Dec 30 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6.6

* Fri Dec 11 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6 (final)

* Tue Nov 24 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5 beta 6 (ascp no longer part of package)

* Tue Sep 22 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Moved ascp to a subpackage

* Thu Sep 21 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta4
 - Huzzah! configure flags!

* Thu Sep 3 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta3
 - Tried to use some of RPM's internal variables for later ease.

* Sun Aug 9 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5pre7

* Mon Jul 13 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre6

* Thu Jul  2 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre5

* Thu Jun 25 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.5pre3
 - Updated to this version.
 - Borrows xiterm source for 1.4.5.55N6 (as per readme).

* Tue Jun 2 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-2
 - Enabled compiled-time option of saving windows.

* Sat May 26 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-1
 - N6 update
 - Removed requirement for sgml-tools.  Do release that you will needs these
   to rebuild the .src.rpm (Available as contrib packages at Redhat)

* Sat May 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N-1
 - 1.4.5.55N update

* Thu Apr 23 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.3-1
 - 1.4.5.3 patch (applied to 1.4.5.1, odd, but...)

* Sun Apr 19 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.2-1
 - 1.4.5.2 patch

* Thu Apr 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.1-1
 - Included major documentation patch.

* Tue Apr 14 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.0-1
 - Update to new 1.4.5

* Wed Mar 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.4-1
 - Update to new 1.4.4 beta, with necessary spec file adjustments
 - New changes no longer require OffiX-devel (as astrash isn't included)
 - put "afterstepdoc" and related files in the right place :-)

* Tue Feb 17 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4-2
 - Fixed documentation problems

* Thu Feb 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4
 - Updated to 1.4, using root install (including the startmenu worldwrite
   fix

* Thu Jan 15 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-7
 - Fixed a minor bug in the code using mktemp(3).

* Tue Jan 13 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-6
 - Added patch to allow the usage of m4 to configure afterstep.

* Thu Nov 20 1997 Greg Boehnlein <damin@nacs.net> 1.0-5
 - Modified Exist patch to look in /etc/X11/afterstep for system.steprc

* Wed Nov 19 1997 Greg Boehnlein <damin@nacs.net> 1.0-4
 - Rebuilt RPM under RedHat Mustang (glibc)

* Tue Jul 17 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-3
 - Added Exist popup patch
 - Oh ya, and Malda's cool3.diff has been in since -2 :)

* Wed Jul 03 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Put sample.steprc in /etc/X11/afterstep

* Sat Jun 28 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Added patch to build properly on Linux/Alpha
 - Modified description
 - Modified BuildRoot
 - Updated URLs
 - Moved things from /usr/lib/X11 to /usr/X11R6/lib/X11
